cURL
curl --request GET \
--url https://api.relay.link/currencies/token/priceconst options = {method: 'GET'};
fetch('https://api.relay.link/currencies/token/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/currencies/token/price"
response = requests.get(url)
print(response.text){
"price": 123,
"deprecation": {
"message": "<string>",
"deprecatedAt": "<string>",
"migrationGuide": "<string>",
"throttledFrom": "<string>",
"sunsetAt": "<string>",
"successor": "<string>"
}
}{
"error": "<string>"
}Deprecated
Get Token Price (v1)
deprecated
Deprecated. Returns the price of a token on a specific chain. Use GET /currencies/token/price/v2 for new integrations.
GET
/
currencies
/
token
/
price
cURL
curl --request GET \
--url https://api.relay.link/currencies/token/priceconst options = {method: 'GET'};
fetch('https://api.relay.link/currencies/token/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/currencies/token/price"
response = requests.get(url)
print(response.text){
"price": 123,
"deprecation": {
"message": "<string>",
"deprecatedAt": "<string>",
"migrationGuide": "<string>",
"throttledFrom": "<string>",
"sunsetAt": "<string>",
"successor": "<string>"
}
}{
"error": "<string>"
}GET /currencies/token/price is deprecated as of October 30, 2026: its rate limit is reduced in stages from December 14, 2026 until it is retired on January 28, 2027. Use GET /currencies/token/price/v2, which returns price as a decimal string. See the migration guide for the timeline and how to upgrade.Was this page helpful?